<?php
function eliminar_cliente($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!isset($post['id']) || !ctype_digit($post['id']) || $post['id'] <= 0){
		$mError .= '<div>Ha ocurrido un error.</div>';
	}
	$est = new Estacionamiento();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $est->eliminarCliente($post['id'])){
		$rs->assign('mAcierto','innerHTML','El cliente ha sido eliminado correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		$rs->redirect(base.'clientes',1);
		return $rs;
	}else{
		$mError.='<div>No se pudo eliminar al cliente.</div>';
		$rs->assign('submit','disabled',false);
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

function eliminar_servicio_adicional_cliente($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!ctype_digit($post['cliente']) || $post['cliente'] <= 0){
		$mError .= '<div>Error en el cliente seleccionado.</div>';
	}
	if(!ctype_digit($post['servicio']) || $post['servicio'] <= 0){
		$mError .= '<div>Error en el servicio adicional</div>';
	}
	$est = new Estacionamiento();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $est->eliminarServicioCliente($post['cliente'],$post['servicio'])){
		$rs->assign('mAcierto','innerHTML','El servicio adicional se ha eliminado correctamente del cliente.');
		$rs->script('$("#mAcierto").slideDown();');
		$rs->redirect(base.'clientes/'.$post['cliente'],1);
		return $rs;
	}else{
		$mError.='<div>No se pudo eliminar el servicio adicicional al cliente.</div>';
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

function eliminar_precio($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!isset($post['id']) || !ctype_digit($post['id']) || $post['id'] <= 0){
		$mError .= '<div>Ha ocurrido un error.</div>';
	}
	$est = new Estacionamiento();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $est->eliminarPrecio($post['id'])){
		$rs->assign('mAcierto','innerHTML','El precio ha sido eliminado correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		$rs->redirect(base.'precios',1);
		return $rs;
	}else{
		$mError.='<div>No se pudo eliminar al precio.</div>';
		$rs->assign('submit','disabled',false);
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

function eliminar_estacionamiento($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!isset($post['id']) || !ctype_digit($post['id']) || $post['id'] <= 0){
		$mError .= '<div>Ha ocurrido un error.</div>';
	}
	$est = new Estacionamiento();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $est->eliminar($post['id'])){
		$rs->assign('mAcierto','innerHTML','El estacionamiento ha sido eliminado correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		$rs->redirect(base.'a-estacionamientos',1);
		return $rs;
	}else{
		$mError.='<div>No se pudo eliminar al estacionamiento.</div>';
		$rs->assign('submit','disabled',false);
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

function eliminar_usuario($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!isset($post['id']) || !ctype_digit($post['id']) || $post['id'] <= 0){
		$mError .= '<div>Ha ocurrido un error.</div>';
	}
	$admin = new UAdmin();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $admin->eliminarUsuario($post['id'])){
		$rs->assign('mAcierto','innerHTML','El usuario ha sido eliminado correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		$rs->redirect(base.'a-usuarios',1);
		return $rs;
	}else{
		$mError.='<div>No se pudo eliminar al usuario.</div>';
		$rs->assign('submit','disabled',false);
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

function eliminar_uae($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!isset($post['usu']) || !ctype_digit($post['usu']) || $post['usu'] <= 0){
		$mError = '<div>Ha ocurrido un error.</div>';
	}
	if(!isset($post['est']) || !ctype_digit($post['est']) || $post['est'] <= 0){
		$mError = '<div>Ha ocurrido un error.</div>';
	}
	$admin = new UAdmin();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $admin->eliminarUAE($post['usu'],$post['est'])){
		$rs->assign('mAcierto','innerHTML','La administraci&oacute;n del estacionamiento ha sido eliminado correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		$patron = '#a-estacionamientos#';
		if(preg_match($patron, $_SERVER['HTTP_REFERER'])){
			$rs->redirect(base.'a-estacionamientos/'.$post['est'],1);
		}else{
			$rs->redirect(base.'a-usuarios/'.$post['usu'],1);
		}
		return $rs;
	}else{
		$mError.='<div>No se pudo eliminar la administraci&oacute;n del estacionamiento.</div>';
		$rs->assign('submit','disabled',false);
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

// $xajax->configure('debug',true);
// $xajax->configure('errorHandler',true);
// $xajax->configure('logFile','xajax_error_log.log');
$xajax->register(XAJAX_FUNCTION,'eliminar_cliente');
$xajax->register(XAJAX_FUNCTION,'eliminar_servicio_adicional_cliente');
$xajax->register(XAJAX_FUNCTION,'eliminar_precio');
$xajax->register(XAJAX_FUNCTION,'eliminar_estacionamiento');
$xajax->register(XAJAX_FUNCTION,'eliminar_usuario');
$xajax->register(XAJAX_FUNCTION,'eliminar_uae');
?>